Compatible with Kimai 2.0

Переводы

Изменяйте все видимые элементы (названия форм, заголовки таблиц, элементы меню и др.) в вашей установке Kimai с использованием собственных переводов

Kevin Papst
Предлагает
Kevin Papst

You can test the Plugin in the Plugin demo.

This bundle allows you to modify most translated contents in Kimai to your business needs.

Often companies want to change some wordings in Kimai to better match it to their industry or usage of Kimai. One of the most requested modifications in Kimai is to change “Customers” to something else (eg. “Client”, “Construction site”, “Family”). Now this is as simple as searching for the text to replace and then setting your preferred translation.

You can replace messages, form labels, menu items and many more into one or multiple language. It comes with a new “Translation” view to manage these changed translations.

What can be changed

Visible elements like form labels, headings, menu items, error messages, and many more can be changed.

The text from the following “domains” cannot be changed:

  • Security (Login, Password forgotten)
  • Names of export templates, invoice number-generators, invoice calculators and invoice renderer
  • You cannot create translations for currently not existing “keys”

Changelog

## Version 2.3.0

Compatibility: requires minimum Kimai 2.1.0

- Added: pagination support, if using more than 50 translations

## Version 2.2.0

Compatibility: requires minimum Kimai 2.1.0

- Fixed: route mapping type changed to attribute

## Version 2.1.0

Compatibility: requires minimum Kimai 2.0.33

- Fixed: possible pagination issues

## Version 2.0.2

Compatibility: requires minimum Kimai 2.0

- Fixed: cache key improvement

## Version 2.0.1

Compatibility: requires minimum Kimai 2.0

- Fixed: reduced cache reads to 1 per request

## Version 2.0

Compatibility: requires minimum Kimai 2.0

- Fixed: compatibility with Kimai 2.0

## Version 1.3.2

Compatibility: requires minimum Kimai 1.15

- Fixed: translations were not used in edge cases (e.g. HTML export template)

## Version 1.3.1

Compatibility: requires minimum Kimai 1.15

- Code improvements

## Version 1.3

Compatibility: requires minimum Kimai 1.15

- Reactivate/Show translation key in preview/original translation

## Version 1.2

Compatibility: requires minimum Kimai 1.15

- Removed unused code
- Added help text
- Fixed english translations
- Do not include translation key in preview/original translation

## Version 1.1

Compatibility: requires minimum Kimai 1.15

- Removed unused buttons

## Version 1.0

Compatibility: requires minimum Kimai 1.15

- Initial release

Установка

Копировать файлы

Extract the ZIP file and upload the included directory and all files to your Kimai installation to the new directory:

var/plugins/TranslationBundle/

The file structure needs to look like this afterwards:

var/plugins/
├── TranslationBundle
│   ├── TranslationBundle.php
|   └ ... more files and directories follow here ...

Очистить кэш

After uploading the files, Kimai needs to know about the new plugin. It will be found once the cache was re-built. Call these commands from the Kimai directory:

How to reload Kimai cache

bin/console kimai:reload --env=prod

It is not advised, but in case the above command fails you could try:

rm -r var/cache/prod/*

You might have to set file permissions afterwards:

Adjust file permission

You have to allow PHP (your webserver process) to write to var/ and it subdirectories.

Here is an example for Debian/Ubuntu (to be executed inside the Kimai directory):

chown -R :www-data .
chmod -R g+r .
chmod -R g+rw var/

Создать базу данных

Run the following command:

bin/console kimai:bundle:translation:install

This will create the required database tables and update them to the latest version.

Обновления

Updating the plugin works exactly like the installation:

  • Delete the directory var/plugins/TranslationBundle/
  • Execute all installation steps again:
    • Копировать файлы
    • Очистить кэш
    • Update database with bin/console kimai:bundle:translation:install

Совместимость

Плагины всегда должны быть совместимы с более высокими версиями Kimai. Следующий список содержит версию плагина и необходимую минимальную версию Kimai.

Версия сборки Минимальная версия Kimai
2.2.0 - 2.3.0 2.1.0
2.1.0 2.0.33
2.0.2 2.0
1.3 1.15

Демо

Вы можете протестировать этот плагин на demo.kimai.org:

Имя пользователя: susan_super
Пароль: kitten

Дополнительные тестовые аккаунты можно найти здесь.

Скриншоты

Screenshot
Новая страница администрирования с обзором всех измененных переводов
Screenshot
Диалог добавления позволяет найти строку по ее содержанию
Screenshot
Диалог редактирования позволяет изменять Ваши собственные переводы

Приобрести

You can buy the plugin via Lemon Squeezy (CreditCard, instant access) or from the developer (bank-transfer, up to one week)

Support-questions, bug-reports and feature-requests will be answered in this Github repository

Предлагает

Kevin Papst

Building Kimai since 2009

Если у вас возникли вопросы, пожалуйста, используйте следующую контактную информацию, чтобы связаться с разработчиком напрямую.
Top